<?php

include_once '../includes/psl-config.php';
include_once '../includes/db_connect.php';
include_once '../includes/html_head.php';

$qs = $_SERVER["QUERY_STRING"];

if (isset($_COOKIE['FilterPrinted'])) {
	$itemdisplay = 'filterprinted';
} else {
	$itemdisplay = 'all';
}

?>

    <link rel="canonical" href="/admin/auction_items.php" />
    <meta name="description" content="Fort Worth Presbyterian Church Silent Auction: Administration" />
    <title>
	Fort Worth Presbyterian Church Silent Auction: Auction Items
    </title>    

    <link rel="stylesheet" type="text/css" href="/css/tooltipster.bundle.min.css" />
    <link rel="stylesheet" type="text/css" href="/css/plugins/tooltipster/sideTip/themes/tooltipster-sideTip-light.min.css" />
    
    <style type="text/css">
	.smbtnblue{font-size:14px;padding:2px 4px;border-radius:3px;text-decoration:none;background:#00BAFF;color:#FFF;display:block;float:left;width:15px;text-align:center;margin-right:5px;margin-top:2px;margin-bottom:3px}
	.bigbtnblue{font-size:14px;width:auto;padding:4px 8px;border-radius:3px;text-decoration:none;background:#00BAFF;color:#FFF;display:block;float:left;text-align:center;margin-right:5px;margin-top:2px;margin-bottom:3px}
	.smbtnblue:hover, .bigbtnblue:hover{background:#0093CA;text-decoration:none;color:#FFF}
	.bigbtngrey{font-size:14px;width:auto;padding:4px 8px;border-radius:3px;text-decoration:none;background:#999;color:#FFF;display:block;float:left;text-align:center;margin-right:5px;margin-top:2px;margin-bottom:3px}
	.bigbtngrey:hover{background:#666;text-decoration:none;color:#FFF}	
	.smbtnred{font-size:14px;padding:2px 4px;border-radius:3px;text-decoration:none;background:#FF4200;color:#FFF;display:block;float:left;width:15px;text-align:center;margin-right:5px;margin-top:2px;margin-bottom:3px}
	.smbtnred:hover{background:#D20000;text-decoration:none;color:#FFF}	
	tr.itemrow:nth-child(odd){background:#F9F9F9;border-radius:4px;border:1px solid #F4F4F4}
	tr.itemrow:nth-child(1){background:#242424;color:#FFF;border-radius:4px;border:1px solid #111}	
	tr.itemrow:hover{background:#E2FFAF}	
    </style>
    <script type="text/javascript" src="/js/tooltipster.bundle.min.js"></script>
    <script type="text/javascript">
        $(document).ready(function() {
		$('.tooltip').tooltipster({
			theme: 'tooltipster-light'
		});         
        });
    </script>    
<script type="text/javascript" src="https://cdn.jsdelivr.net/jquery.loadingoverlay/latest/loadingoverlay.min.js"></script>
<script type="text/javascript" src="https://cdn.jsdelivr.net/jquery.loadingoverlay/latest/loadingoverlay_progress.min.js"></script>
	<script type="text/javascript">
	
		$(document).ready(function() {	
			$('input[type=checkbox].markprinted').change(function() {
			        var itemid = $(this).val();			        				               			
				if (this.checked) {
					$.LoadingOverlay("show");							
				        $.ajax({
				            type: "POST",
				            url: "/admin/mark_printed.php",				            
				            <?php
				            if ($itemdisplay == 'filterprinted') {
				            ?>
				            data: {itemid: itemid},
				            success: function() {
				                window.location = "/admin/auction_items.php";
				            }
				            <?php
				            } else {
				            ?>
				            data: {itemid: itemid},
				            success: function() {
				            	$.LoadingOverlay("hide", true);				
				            }
				            <?php
				            }
				            ?>
				        });
				} else {
					$.LoadingOverlay("show");
				        $.ajax({
				            type: "POST",
				            url: "/admin/unmark_printed.php",
				            data: {itemid: itemid},
				            success: function() {
				            	$.LoadingOverlay("hide", true);				
				            }
				        });				
				}				
			});   
		});
		
	
	</script>

<?php
include_once '../includes/endhead_beginbody_nologo.php';
?>

<div class="g-100 t-g-100 m-g-100 g-parent">
	<span id="topbartitle">
		<div class="g-container">
			<div class="g-50 t-g-50 m-g-50" style="text-align:left"><span id="undertitle" style="text-align:left"><?php echo date("Y") ?> Auction Items</span></div>
			<div class="g-50 t-g-50 m-g-50" style="text-align:right"><a href="/admin"><i class="fa fa-chevron-circle-left" aria-hidden="true"></i> admin home</a></div>
		</div>
	</span>
</div>

<?php
if (substr($qs, 0, 1) === "d") {
	echo "<div class='g-100 t-g-100 m-g-100 g-parent'><span id='topbartitle' style='background:#0081FF'><span id='undertitle'>Item " . str_replace("d=", "", $qs) . " Deleted</span></span></div>";
}

?>

<div class="g-container">

<div class="g-100 t-g-100 m-g-100 g-parent" style="margin-top:20px;margin-bottom:10px;font-size:16px;line-height:150%"><div id="linkbox"></div></div>

<div class="g-100 t-g-100 m-g-100 g-parent" id="itemsbox">

<?php

$prev_category = "";
$linecount = 1;
$cat_count = 1;
$curr_cat = 0;
$linkboxhtml = "";
$sqlfilter = "";
$totalwinners = 0;
$totalitems = 0;

if ($itemdisplay == 'filterprinted') {
	$sqlfilter = "AND i.Printed = 0 ";
}

$query = "SELECT i.ID, (i.Item_Category + i.ID) As ItemID, i.Item, i.Quantity, i.Donor_Name, c.Name, i.Printed, i.Item_Category, i.Admin_Notes, i.Donor_Phone, i.Donor_Email FROM Items i LEFT OUTER JOIN Categories c ON i.Item_Category = c.ID WHERE i.Auction_Year = " . date('Y') . " " . $sqlfilter . "ORDER BY i.Item_Category, i.ID";
// get the records from the database
if ($result = $mysqli->query($query)) {
	// display records if there are records to display
	if ($result->num_rows > 0) {

		while ($row = $result->fetch_row()) {
			$totalwinners+=$row[3];
			$totalitems+=1;
			if ($prev_category != $row[5]) {
				if ($linecount > 1) {					
					echo "</table>";
				}
				if (strlen($linkboxhtml) == 0) {
					$linkboxhtml = "<div class='g-100 t-g-100 m-g-100 g-parent'>";
				}
				$linkboxhtml .= "<a class='bigbtnblue' href='#row_" . $cat_count . "'>" . $row[5] . "</a>";
				echo "<table>";				
				if ($row[7] < 8000) {							
					echo "<tr><th id='row_" . $cat_count++ . "' colspan='3' style='line-height:180%'>" . $row[5] . "s (" . $row[7] . ")</th><th colspan='4' style='text-align:right'><a class='bigbtngrey' style='float:right;font-weight:500;line-height:100%' href='/admin/item_list.php?cid=" . $row[7] . "'>print category list</a><a class='bigbtngrey' style='float:right;font-weight:500;line-height:100%' href='#top'>back to top</a></th></tr>";					
				} else {	
					echo "<tr><th id='row_" . $cat_count++ . "' colspan='3' style='line-height:180%'>" . $row[5] . " (" . $row[7] . ")</th><th colspan='4' style='text-align:right'><a class='bigbtngrey' style='float:right;font-weight:500;line-height:100%' href='/admin/item_list.php?cid=" . $row[7] . "'>print category list</a><a class='bigbtngrey' style='float:right;font-weight:500;line-height:100%' href='#top'>back to top</a></th></tr>";					
				}										
				echo "<tr><th>Item</th><th>Donor</th><th>Contact</th><th>Winners</th><th>Notes</th><th>Printed?</th><th></th></tr>";							
			}
			$prev_category = $row[5];
			
			// set up a row for each record
			echo "<tr class='itemrow'>";			
			echo "<td>#" . $row[1] . "<br /><b><i>" . $row[2] . "</i></b></td>";
			if (strlen($row[4]) > 25) {
				echo "<td>" . $row[4] . "</td>";			
			} else {
				echo "<td style='line-height:200%'>" . $row[4] . "</td>";						
			}			
			if ((strpos($row[9], '000.000.0000') === false) && (strpos($row[9], '111.111.1111') === false)) {								
				if (($row[10] == 'na') || ($row[10] == 'none')) {
					echo "<td style='line-height:200%;'>" . $row[9] . "<br />";
				} else {
					echo "<td>" . $row[9] . "<br />";				
				}				
			}			
			if (($row[10] == 'na') || ($row[10] == 'none')) {
				if ((strpos($row[9], '000.000.0000') !== false) || (strpos($row[9], '111.111.1111') !== false)) {				
					echo "<td style='line-height:200%;'><i>no info</i></td>";		
				} else {
					echo "</td>";
				}	
			} else {
				if ((strpos($row[9], '000.000.0000') !== false) || (strpos($row[9], '111.111.1111') !== false)) {				
					echo "<td style='line-height:200%;'><a href='mailto:" . $row[10] . "'>" . $row[10] . "</a></td>";														
				} else {
					echo "<a href='mailto:" . $row[10] . "'>" . $row[10] . "</a></td>";														
				}				
			}				
			echo "<td style='line-height:200%'>" . $row[3] . "</td>";			
			if (strlen($row[8]) !== 0) {
				echo "<td class='tooltip' title='" . $row[8] . "' style='line-height:120%;font-size:90%;font-style:italic;cursor:crosshair;'>roll over<br />for notes</td>";			
			} else {
				echo "<td></td>";			
			}
			if ($row[6] == 1) {
				echo "<td style='line-height:200%' id='cell_" . $row[0] . "'><input class='markprinted' checked='checked' name='item_" . $row[0] . "' type='checkbox' value='" . $row[0] . "'></td>";	
			} else {
				echo "<td style='line-height:200%'><input class='markprinted' name='item_" . $row[0] . "' type='checkbox' value='" . $row[0] . "'></td>";	
			}			
			echo "<td style='line-height:180%;min-width:90px'><a class='smbtnblue' href='edit.php?id=" . $row[0] . "'><i class='fa fa-pencil' aria-hidden='true'></i></a><a class='smbtnblue' href='bid_sheet.php?id=" . $row[0] . "'><i class='fa fa-print' aria-hidden='true'></i></a><a class='smbtnred' href='delete.php?id=" . $row[0] . "'><i class='fa fa-trash-o' aria-hidden='true'></i></a></td>";
			echo "</tr>";
			$linecount+=1;		
		}
		echo "</table>";
	}
	// if there are no records in the database, display an alert message
	else {
		echo "No results to display!";
	}
}
// show an error if there is an issue with the database query
else {
	echo "Error: " . $mysqli->error;
}

// close database connection
$mysqli->close();

if ($itemdisplay == 'filterprinted') {
	$linkboxhtml .= "</div><div class='g-100 t-g-100 m-g-100 g-parent'><a class='bigbtngrey' href='/admin/delete_filterprinted_cookie.php'>show printed items</a><a class='bigbtngrey' href='/admin/item_list.php'>printable list</a><a class='bigbtngrey' href='/admin/print_labels.php'>unprinted certificate labels</a><a class='bigbtngrey' href='/admin/print_all_labels.php'>all certificate labels</a><a class='bigbtngrey' href='/?closed=true'>add auction items</a></div><div class='g-100 t-g-100 m-g-100 g-parent' style='font-size:80%'>Total Items: " . $totalitems . " | Total Possible Winners: " . $totalwinners . "</div>";
} else {
	$linkboxhtml .= "</div><div class='g-100 t-g-100 m-g-100 g-parent'><a class='bigbtngrey' href='/admin/set_filterprinted_cookie.php'>hide printed items</a><a class='bigbtngrey' href='/admin/item_list.php'>printable list</a><a class='bigbtngrey' href='/admin/print_labels.php'>unprinted certificate labels</a><a class='bigbtngrey' href='/admin/print_all_labels.php'>all certificate labels</a><a class='bigbtngrey' href='/?closed=true'>add auction items</a></div><div class='g-100 t-g-100 m-g-100 g-parent' style='font-size:80%'>Total Items: " . $totalitems . " | Total Possible Winners: " . $totalwinners . "</div>";
}
$linkboxjs = '<script type="text/javascript">document.getElementById("linkbox").innerHTML="' . $linkboxhtml . '"</script>';
echo $linkboxjs;

?>

</div>
</div>

	
<?php
include_once '../includes/html_nofooter.php';
?>