<?php

include_once  '../includes/psl-config.php';
include_once '../includes/db_connect.php';

/** Include PHPExcel */
require_once 'PHPExcel.php';
 
 
// Create new PHPExcel object
$objPHPExcel = new PHPExcel();
 
 
// Set document properties
$objPHPExcel->getProperties()->setCreator("Fort Worth Presbyterian Church")
			     ->setLastModifiedBy("Fort Worth Presbyterian Church")
			     ->setTitle("Auction Certificate Envelope Labels")
			     ->setSubject("Auction Certificate Envelope Labels")
		   	     ->setDescription("Mail Merge File for Auction Certificate Envelope Labels")
			     ->setKeywords("Auction Certificate Envelope Labels")
		      	     ->setCategory("Tutorial Result");
 
 
// Add Data in your file
 
$objPHPExcel->setActiveSheetIndex(0)
            ->setCellValue('A1', 'Item_Number')
            ->setCellValue('B1', 'Item_Name')
            ->setCellValue('C1', 'Certficate_Number');
 

$linecount = 2;
$query = "SELECT (i.Item_Category + i.ID) As ItemID, i.Item, i.Quantity FROM Items i LEFT OUTER JOIN Categories c ON i.Item_Category = c.ID WHERE i.Auction_Year = " . date('Y') . " AND i.Printed = 0 AND c.Certificate = 1 ORDER BY i.Item_Category, i.ID";
// get the records from the database
if ($result = $mysqli->query($query)) {
	// display records if there are records to display
	if ($result->num_rows > 0) {

		while ($row = $result->fetch_row()) {
			$certcount = 1;
			do {		    
			    $objPHPExcel->getActiveSheet()
			    ->setCellValue('A' . $linecount, $row[0])
			    ->setCellValue('B' . $linecount, preg_replace("/&#?[a-z0-9]{2,8};/i","",$row[1]))
			    ->setCellValue('C' . $linecount, "Certificate #" . $certcount);			       		    
			    $certcount+=1;	
			    $linecount+=1;	
			} while ($certcount <= $row[2]);			
		}
	}
	// if there are no records in the database, display an alert message
	else {
		echo "No results to display!";
	}
}
// show an error if there is an issue with the database query
else {
	echo "Error: " . $mysqli->error;
}

// close database connection
$mysqli->close();  
 
 
// Rename worksheet
$objPHPExcel->getActiveSheet()->setTitle('fwpcauction.site');
 
 
// Set active sheet index to the first sheet, so Excel opens this as the first sheet
$objPHPExcel->setActiveSheetIndex(0);
 
 
 
 
// We'll be outputting an excel file
header('Content-type: application/vnd.ms-excel');

// It will be called file.xls
$thedt = date('Y-m-d-H-i-s');
header('Content-Disposition: attachment; filename="unprinted-labels-' . $thedt . '.xlsx"');

$objWriter = PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel2007');

// Write file to the browser
$objWriter->save('php://output'); 

?>